%define _icondir %{_datadir}/icons

Name:		kmenu-gnome
Version:	0.6
Release:	2%{?dist}
Summary:	K Menu with Gnome directory

License:	GPL
Group:		User Interface/Desktops
URL:		http://ariszlo.tripod.com/
Source:		http://www.kde-look.org/content/files/31025-%{name}-%{version}.tar.gz

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires:	kdebase >= 6:3.5.1

%description
K Menu with Gnome folder and extra icons.


%prep
%setup -q


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
mkdir -p %{buildroot}%{_icondir}/Bluecurve/{16x16,24x24,32x32,48x48}/apps
mv %{name}/%{name}.menu %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
mv %{name}/fc5-hide-bug196275.menu \
%{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
#https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=196275
cp -r desktop-directories icons %{name} %{buildroot}%{_datadir}

#Ignore dangling-relative-symlink warnings
#http://qa.mandriva.com/twiki/bin/view/Main/PackagingProblems#RpmLint_Warnings
( cd %{buildroot}%{_datadir}/desktop-directories
ln -s kde-games-kidsgames.directory kde-games-kids.directory )
( cd %{buildroot}%{_icondir}/Bluecurve/16x16/apps
ln -s icon-office.png ooomain.png )
( cd %{buildroot}%{_icondir}/Bluecurve/24x24/apps
ln -s icon-office.png ooomain.png )
( cd %{buildroot}%{_icondir}/Bluecurve/32x32/apps
ln -s icon-office.png ooomain.png )
( cd %{buildroot}%{_icondir}/Bluecurve/48x48/apps
ln -s icon-office.png ooomain.png )
( cd %{buildroot}%{_icondir}/crystalsvg/16x16/apps
ln -s ../../../gnome/16x16/stock/generic/stock_calendar.png .
ln -s ../../../gnome/16x16/stock/net/stock_contact.png .
ln -s ../../../gnome/16x16/stock/io/stock_print.png .
ln -s ../../../gnome/16x16/stock/document/stock_task.png . )
( cd %{buildroot}%{_icondir}/crystalsvg/32x32/apps
ln -s ../../../gnome/32x32/stock/generic/stock_calendar.png .
ln -s ../../../gnome/32x32/stock/net/stock_contact.png .
ln -s ../../../gnome/32x32/stock/io/stock_print.png .
ln -s ../../../gnome/24x24/stock/document/stock_task.png . )
( cd %{buildroot}%{_icondir}/crystalsvg/48x48/apps
ln -s ../../../gnome/48x48/apps/accessibility-directory.png .
ln -s ../../../gnome/48x48/apps/gnome-system.png .
ln -s ../../../gnome/48x48/stock/generic/stock_calendar.png .
ln -s ../../../gnome/48x48/stock/net/stock_contact.png .
ln -s ../../../gnome/48x48/stock/io/stock_print.png . )


%clean
rm -rf %{buildroot}


# dropped gtk-update-icon-cache from %%post and %preun
# from http://fedoraproject.org/wiki/ScriptletSnippets:
# For KDE, just 'touch'ing the top-level icon directory is enough.
# Also since kmenu-gnome does not affect on gnome menus, its useless to have
# gtk-update-icon-cache.
%post
touch --no-create %{_datadir}/icons/Bluecurve ||:
touch --no-create %{_datadir}/icons/crystalsvg ||:

%postun
touch --no-create %{_datadir}/icons/Bluecurve ||:
touch --no-create %{_datadir}/icons/crystalsvg ||:

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/%{name}.menu
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/fc5-hide-bug196275.menu
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/desktop-directories/*.directory
%{_datadir}/icons/Bluecurve/*/*/*
%{_datadir}/icons/crystalsvg/*/*/*
%doc ChangeLog COPYING GPL LGPL README


%changelog
* Sun Jul 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.6-2
- fixed Source URL

* Sat Jul 01 2006 Ariszlo <ariszlo@gmail.com> - 0.6-1
- renamed fc5-fix-administration-mergefile.menu fc5-hide-bug196275.menu
- release 0.6

* Thu Jun 29 2006 31025
- Added comment on the exclusion of gtk-update-icon-cache from %%post and %preun

* Thu Jun 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.5.1-2pre3
- dropped gtk-update-icon-cache from %%post and %preun
- corrected the top-level icon directory in %%post and %preun

* Wed Jun 28 2006 Ariszlo <ariszlo@gmail.com> - 0.5.1-1pre3
- added fc5-fix-administration-mergefile.menu
- removed fedora-xdg.patch
- dropped support for FC4
- repacked lost symlinks

* Mon Jun 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.5.1-2pre2
- GTK+ icon cache added in %%post and %%preun
- fixed dangling-relative-symlink
- make use of the macro %%icondir

* Mon Jun 26 2006 Ariszlo <ariszlo@gmail.com> - 0.5.1-1pre2
- removed hicolor directories only needed in Debian and Slackware
- removed GTK+ icon cache

* Mon Jun 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.5.1-1pre1
- fix rpmlint issues - conffile-without-noreplace-flag
- dropped %%build

* Fri Jun 23 2006 Ariszlo <ariszlo@gmail.com> - 0.5.1-0pre2
- moved icon links under %%install

* Thu Jun 22 2006 Ariszlo <ariszlo@gmail.com> - 0.5.1-0pre1
- preparing release 0.5.1
- merged FC4 and FC5 specs
- removed /* from %%files
- added %%config /etc/xdg/menus/applications-merged/kmenu-gnome.menu
- added %%dir %{_datadir}/%{name}
- added %%dir %{_datadir}/%{name}
- added %%{_datadir}/%{name}/*
- added %%{_datadir}/desktop-directories/*.directory
- added %%{_datadir}/icons/*/*/*/*.png

* Wed Jun 21 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.5-2
- added %%config(noreplace)
- GTK+ icon cache added in %%post and %%preun

* Tue Jun 20 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.5-1
- Initial package
